package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.ShowroomRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.Date;
import java.util.List;

/**
 * 展厅预约记录Mapper接口
 * 
 * @author ics
 * @date 2024-03-12
 */
@Mapper
public interface ShowroomRecordMapper extends BaseMapper<ShowroomRecord> {
    /**
     * 查询展厅预约记录
     * 
     * @param id 展厅预约记录ID
     * @return 展厅预约记录
     */
    ShowroomRecord selectShowroomRecordById(Long id);

    /**
     * 查询展厅预约记录列表
     * 
     * @param showroomRecord 展厅预约记录
     * @return 展厅预约记录集合
     */
    List<ShowroomRecord> selectShowroomRecordList(ShowroomRecord showroomRecord);

    /**
     * 新增展厅预约记录
     * 
     * @param showroomRecord 展厅预约记录
     * @return 结果
     */
    int insertShowroomRecord(ShowroomRecord showroomRecord);

    /**
     * 修改展厅预约记录
     * 
     * @param showroomRecord 展厅预约记录
     * @return 结果
     */
    int updateShowroomRecord(ShowroomRecord showroomRecord);

    /**
     * 删除展厅预约记录
     * 
     * @param id 展厅预约记录ID
     * @return 结果
     */
    int deleteShowroomRecordById(Long id);

    /**
     * 批量删除展厅预约记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteShowroomRecordByIds(String[] ids);

    List<Date> selectListByDate(Long showroomId);
}
